Bug 781892 - New version of python-tempita is available and has Python 3 support
Summary: New version of python-tempita is available and has Python 3 support
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-tempita
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ricky Zhou
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-16 02:06 UTC by Pavel Šimerda (pavlix)
Modified: 2012-07-24 23:33 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-24 23:33:15 UTC
Type: ---


Attachments (Terms of Use)

Description Pavel Šimerda (pavlix) 2012-01-16 02:06:48 UTC
python-tempita 0.4 doesn't work for me with Python 3 (it fails with unicode-related exceptions), even though it includes some python3-related patches.

python-tempita 0.5.1 works like a charm. Upgrading was trivial. Just bump the version and remove the patch.

diff --git a/python-tempita.spec b/python-tempita.spec
index cb8b95b..e2e5752 100644
--- a/python-tempita.spec
+++ b/python-tempita.spec
@@ -5,15 +5,14 @@
 %endif
 
 Name:           python-tempita
-Version:        0.4
-Release:        7%{?dist}
+Version:        0.5.1
+Release:        0.1%{?dist}
 Summary:        A very small text templating language
 
 Group:          Development/Languages
 License:        MIT
 URL:            http://pythonpaste.org/tempita/
 Source0:        http://pypi.python.org/packages/source/T/Tempita/Tempita-%{version}.tar.gz
-Patch0: tempita-py3-compat.diff
 BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
 
 BuildArch:      noarch
@@ -54,7 +53,6 @@ Tempita is a small templating language for text substitution.
 
 %prep
 %setup -q -n Tempita-%{version}
-%patch0 -p1 -b .py3compat
 
 %if 0%{?with_python3}
 rm -rf %{py3dir}
@@ -91,7 +89,6 @@ nosetests
 
 %files
 %defattr(-,root,root,-)
-%doc docs/*
 %{python_sitelib}/tempita/
 %{python_sitelib}/*.egg-info
 
Cheers,

Pavel

Comment 1 Pavel Šimerda (pavlix) 2012-06-02 02:18:42 UTC
Please...

Comment 2 Fedora Update System 2012-06-24 10:26:07 UTC
python-tempita-0.5.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-tempita-0.5.1-1.fc17

Comment 3 Fedora Update System 2012-06-24 10:29:48 UTC
python-tempita-0.5.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-tempita-0.5.1-1.fc16

Comment 4 Fedora Update System 2012-06-24 10:30:22 UTC
python-tempita-0.5.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/python-tempita-0.5.1-1.fc15

Comment 5 Ricky Zhou 2012-06-24 10:31:44 UTC
Oh wow, I'm so sorry - I don't know how I managed to miss this bug for so long.  I just updated to 0.5.1 and submitted updates for 15, 16, and 17.  Really sorry about making you wait for so long - thanks a lot for the report and fix.

Comment 6 Fedora Update System 2012-06-26 00:30:34 UTC
Package python-tempita-0.5.1-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-tempita-0.5.1-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9836/python-tempita-0.5.1-1.fc17
then log in and leave karma (feedback).

Comment 7 Pavel Šimerda (pavlix) 2012-06-26 20:25:53 UTC
Thanks.

Comment 8 Fedora Update System 2012-07-24 23:33:15 UTC
python-tempita-0.5.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.